Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.web.filters
Class FilterToHandlerAdapter

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.filters.FilterToHandlerAdapter

All Implemented Interfaces:
  groovy.lang.GroovyObject, InitializingBean, HandlerInterceptor

    public class FilterToHandlerAdapter

extends Object
implements HandlerInterceptor, InitializingBean, groovy.lang.GroovyObject

Constructor Summary
`FilterToHandlerAdapter()`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`boolean` | `accept(String controllerName, String actionName, String uri)`
`String` | `actionName(Object request)`
`void` | `afterCompletion(HttpServletRequest request, HttpServletResponse response, Object o, Exception e)`
`void` | `afterPropertiesSet()`
`String` | `controllerName(Object request)`
`boolean` | `doesMatch(Pattern pattern, CharSequence string)`
`Object` | `getActionRegex()`
`Object` | `getConfigClass()`
`Object` | `getControllerRegex()`
`Object` | `getFilterConfig()`
`Object` | `getInvertRule()`
`groovy.lang.MetaClass` | `getMetaClass()`
`Object` | `getPathMatcher()`
`Object` | `getProperty(String property)`
`Object` | `getUriPattern()`
`Object` | `getUrlPathHelper()`
`Object` | `getUseRegex()`
`Object` | `getUseRegexFind()`
`Object` | `invokeMethod(String method, Object arguments)`
`void` | `postHandle(HttpServletRequest request, HttpServletResponse response, Object o, ModelAndView modelAndView)`
`boolean` | `preHandle(HttpServletRequest request, HttpServletResponse response, Object o)`
`void` | `setActionRegex(Object value)`
`void` | `setConfigClass(Object value)`
`void` | `setControllerRegex(Object value)`
`void` | `setFilterConfig(Object value)`
`void` | `setInvertRule(Object value)`
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`void` | `setPathMatcher(Object value)`
`void` | `setProperty(String property, Object value)`
`void` | `setUriPattern(Object value)`
`void` | `setUrlPathHelper(Object value)`
`void` | `setUseRegex(Object value)`
`void` | `setUseRegexFind(Object value)`
`String` | `toString()`
`String` | `uri(HttpServletRequest request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterToHandlerAdapter

    public FilterToHandlerAdapter()

Method Detail

### getFilterConfig

    public Object getFilterConfig()

### setFilterConfig

    public void setFilterConfig(Object value)

### getConfigClass

    public Object getConfigClass()

### setConfigClass

    public void setConfigClass(Object value)

### getControllerRegex

    public Object getControllerRegex()

### setControllerRegex

    public void setControllerRegex(Object value)

### getActionRegex

    public Object getActionRegex()

### setActionRegex

    public void setActionRegex(Object value)

### getUriPattern

    public Object getUriPattern()

### setUriPattern

    public void setUriPattern(Object value)

### getUrlPathHelper

    public Object getUrlPathHelper()

### setUrlPathHelper

    public void setUrlPathHelper(Object value)

### getPathMatcher

    public Object getPathMatcher()

### setPathMatcher

    public void setPathMatcher(Object value)

### getUseRegex

    public Object getUseRegex()

### setUseRegex

    public void setUseRegex(Object value)

### getInvertRule

    public Object getInvertRule()

### setInvertRule

    public void setInvertRule(Object value)

### getUseRegexFind

    public Object getUseRegexFind()

### setUseRegexFind

    public void setUseRegexFind(Object value)

### afterPropertiesSet

    public void afterPropertiesSet()

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`

### controllerName

    public String controllerName(Object request)

### actionName

    public String actionName(Object request)

### uri

    public String uri(HttpServletRequest request)

### preHandle

    public boolean preHandle(HttpServletRequest request,
                             HttpServletResponse response,
                             Object o)

  Specified by:
    `preHandle` in interface `HandlerInterceptor`

### postHandle

    public void postHandle(HttpServletRequest request,
                           HttpServletResponse response,
                           Object o,
                           ModelAndView modelAndView)
                    throws Exception

  Specified by:
    `postHandle` in interface `HandlerInterceptor`
  Throws:
    `Exception`

### afterCompletion

    public void afterCompletion(HttpServletRequest request,
                                HttpServletResponse response,
                                Object o,
                                Exception e)
                         throws Exception

  Specified by:
    `afterCompletion` in interface `HandlerInterceptor`
  Throws:
    `Exception`

### accept

    public boolean accept(String controllerName,
                          String actionName,
                          String uri)

### doesMatch

    public boolean doesMatch(Pattern pattern,
                             CharSequence string)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project